搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

I've installed the update to Firefox 8.0.1 for Mac OS X at least 4 times now and no matter what I try it still says I need to install the update?

  • 2 回覆
  • 6 有這個問題
  • 53 次檢視
  • 最近回覆由 awildbear

more options

At first I did a simple update; downloaded the new version and installed. After doing that several times and still getting messages when visiting sites (including Firefox) that I need to install a newer version, I tried quitting Firefox, removing it from the dock, trashing it and reinstalling from the download to the newest version, 8.0.1 for Mac OS X. I'm still getting this: "Hey there! Looks like you’re using an old version of Firefox." and this: "The browser that you are using is not supported by AT&T's website. You may continue to explore the site, but many features and layout elements may not work or display properly.

Currently supported browsers:

   Firefox v4.0 and above
   Safari v4.0 and above
   Chrome v7.0 and above
   Internet Explorer v7.0 and above"

etc....

Obviously I'm way past v4.0 if I'm installing 8.0.1. So, what's the deal?

被選擇的解決方法

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.11) Gecko/2009060214 Firefox/3.0.11 FBSMTWB

Your users agent is stuck at Firefox 3.0.11 due to a extension during when you had 3.0.11 and it tacked on stuff on end and kept it from updating the version number. This was due to the "Fast Browser Search toolbar" extension (FBSMTWB). This issue is not a problem with Firefox 4.0 and newer.

See this on how to reset it to normal. https://support.mozilla.com/en-US/kb/websites%20or%20add-ons%20incorrectly%20report%20incompatible%20browser#w_reset-your-user-agent

從原來的回覆中察看解決方案 👍 0

所有回覆 (2)

more options

選擇的解決方法

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.11) Gecko/2009060214 Firefox/3.0.11 FBSMTWB

Your users agent is stuck at Firefox 3.0.11 due to a extension during when you had 3.0.11 and it tacked on stuff on end and kept it from updating the version number. This was due to the "Fast Browser Search toolbar" extension (FBSMTWB). This issue is not a problem with Firefox 4.0 and newer.

See this on how to reset it to normal. https://support.mozilla.com/en-US/kb/websites%20or%20add-ons%20incorrectly%20report%20incompatible%20browser#w_reset-your-user-agent

由 James 於 修改

more options

I did it. I went through the steps and I think it's unstuck. So far, so good anyway. I'm no longer getting those messages.

THANKS JAMES!